Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler Class Reference
Inheritance diagram for eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler:

## Public Member Functions
| __construct (DatabaseHandler $dbHandler)
| Creates a new criterion handler. More...
| accept (Criterion $criterion)
| Check if this criterion handler accepts to handle the given criterion. More...
| handle (CriteriaConverter $converter, SelectQuery $query, Criterion $criterion, array $languageSettings)
| Generate query expression for a Criterion this handler accepts. More...

## Protected Member Functions
| getUniqueTableName ()
| Returns a unique table name. More...

## Protected Attributes
| $comparatorMap
| $dbHandler

## Detailed Description

Definition at line 14 of file Search/Legacy/Content/Common/Gateway/CriterionHandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler::__construct | ( | DatabaseHandler | $dbHandler | ) |

Creates a new criterion handler.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $dbHandler |

Definition at line 45 of file Search/Legacy/Content/Common/Gateway/CriterionHandler.php.

References eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\$dbHandler.

## Member Function Documentation

## ◆ accept()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler::accept | ( | Criterion | $criterion | ) |
| abstract

Check if this criterion handler accepts to handle the given criterion.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |

Returns
  bool

Reimplemented in eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Visibility, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Subtree, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\ParentLocationId, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\LocationRemoteId, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\LocationId, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Location\Priority, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Location\IsMainLocation, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Location\Depth, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Ancestor, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\Visibility, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\Subtree, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\PermissionSubtree, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\ParentLocationId, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\LocationRemoteId, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\LocationId, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\Ancestor, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\UserMetadata, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\SectionId, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\RemoteId, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ObjectStateId, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\MatchNone, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\MatchAll, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\MapLocationDistance, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LogicalOr, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LogicalNot, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LogicalAnd, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LanguageCode, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldRelation, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\DateMetadata, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ContentTypeIdentifier, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ContentTypeId, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ContentTypeGroupId, and eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ContentId.

## ◆ getUniqueTableName()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler::getUniqueTableName | ( |  | ) |
| protected

Returns a unique table name.

Returns
  string

Definition at line 81 of file Search/Legacy/Content/Common/Gateway/CriterionHandler.php.

## ◆ handle()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler::handle | ( | CriteriaConverter | $converter,
|  | SelectQuery | $query,
|  | Criterion | $criterion,
|  | array | $languageSettings
| ) |  |
| abstract

Generate query expression for a Criterion this handler accepts.

accept() must be called before calling this method.

Parameters

  \eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriteriaConverter | $converter |
  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |
  array | $languageSettings |

Reimplemented in eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Visibility, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Subtree, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\ParentLocationId, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\LocationRemoteId, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\LocationId, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Location\Priority, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Location\IsMainLocation, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Location\Depth, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Ancestor, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\Visibility, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\Subtree, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\ParentLocationId, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\LocationRemoteId, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\LocationId, eZ\Publish\Core\Search\Legacy\Content\Gateway\CriterionHandler\Ancestor, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\UserMetadata, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\SectionId, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\RemoteId, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ObjectStateId, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\MatchNone, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\MatchAll, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LogicalOr, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LogicalNot, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LogicalAnd, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LanguageCode, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldRelation, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\DateMetadata, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ContentTypeIdentifier, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ContentTypeId, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ContentTypeGroupId, and eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ContentId.

## Member Data Documentation

## ◆ $comparatorMap

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler::$comparatorMap
| protected

Initial value:
= [
Operator::EQ => 'eq',
Operator::GT => 'gt',
Operator::GTE => 'gte',
Operator::LT => 'lt',
Operator::LTE => 'lte',
Operator::LIKE => 'like',
]
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LIKE
const LIKE
Does a lookup where a the value can contain a "*" (a wildcard) in order to match a pattern.
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:29
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LT
const LT
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\EQ
const EQ
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:16
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LTE
const LTE
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GT
const GT
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:17
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GTE
const GTE
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:18

Definition at line 22 of file Search/Legacy/Content/Common/Gateway/CriterionHandler.php.

## ◆ $dbHandler

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler::$dbHandler
| protected

Definition at line 38 of file Search/Legacy/Content/Common/Gateway/CriterionHandler.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\__construct(), eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldBase\__construct(), eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty\__construct(), eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field\__construct(), eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ContentTypeIdentifier\__construct(), eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LanguageCode\__construct(), and eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText\__construct().

The documentation for this class was generated from the following file:

- Search/Legacy/Content/Common/Gateway/CriterionHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.